## speexenc

speexenc

## Properties

gint | abr | Read / Write / Construct
gint | bitrate | Read / Write / Construct
gint | complexity | Read / Write / Construct
gboolean | dtx | Read / Write / Construct
gchar * | last-message | Read
gint | nframes | Read / Write / Construct
gfloat | quality | Read / Write / Construct
gboolean | vad | Read / Write / Construct
gboolean | vbr | Read / Write / Construct
GstSpeexEncMode | mode | Read / Write / Construct

## Types and Values

struct | GstSpeexEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstSpeexEnc

## Implemented Interfaces

GstSpeexEnc implements GstTagSetter and GstPreset.

## Description

This element encodes audio as a Speex stream.

Speex is a royalty-free

audio codec maintained by the Xiph.org Foundation.

### Example pipelines

    1

    gst-launch-1.0 audiotestsrc num-buffers=100 ! speexenc ! oggmux ! filesink location=beep.ogg

Encode an Ogg/Speex file.

## Synopsis

### Element Information

plugin | speex
author | Wim Taymans <wim@fluendo.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 6000, 48000 ], channels=(int)1
| audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 6000, 48000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | audio/x-speex, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstSpeexEnc

    struct GstSpeexEnc;

## Property Details

### The `“abr”` property

      “abr”                      gint

Enable average bit-rate (0 = disabled).

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“bitrate”` property

      “bitrate”                  gint

Specify an encoding bit-rate (in bps). (0 = automatic).

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 0

### The `“complexity”` property

      “complexity”               gint

Set encoding complexity.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 3

### The `“dtx”` property

      “dtx”                      gboolean

Enable discontinuous transmission.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Default value: FALSE

### The `“last-message”` property

      “last-message”             gchar *

The last status message.

Owner: GstSpeexEnc

Flags: Read

Default value: NULL

### The `“nframes”` property

      “nframes”                  gint

Number of frames per buffer.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Allowed values: >= 0

Default value: 1

### The `“quality”` property

      “quality”                  gfloat

Encoding quality.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Allowed values: [0,10]

Default value: 8

### The `“vad”` property

      “vad”                      gboolean

Enable voice activity detection.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Default value: FALSE

### The `“vbr”` property

      “vbr”                      gboolean

Enable variable bit-rate.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Default value: FALSE

### The `“mode”` property

      “mode”                     GstSpeexEncMode

The encoding mode.

Owner: GstSpeexEnc

Flags: Read / Write / Construct

Default value: Auto

## See Also

speexdec, oggmux